Bug 1767865 - Kubevirt pages for management console do not load on Edge browser
Summary: Kubevirt pages for management console do not load on Edge browser
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Console Kubevirt Plugin
Version: 4.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.2.z
Assignee: Tomas Jelinek
QA Contact: Radim Hrazdil
URL:
Whiteboard:
Depends On: 1767853
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-11-01 14:41 UTC by Samuel Padgett
Modified: 2019-12-03 22:43 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1767853
Environment:
Last Closed: 2019-12-03 22:43:11 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift console pull 3231 'None' 'closed' 'Bug 1767865: Bump kubevirt-web-ui-components-v0.1.44-2' 2019-12-02 14:22:23 UTC
Red Hat Knowledge Base (Solution) 4550701 None None None 2019-11-04 15:38:28 UTC
Red Hat Product Errata RHBA-2019:3953 None None None 2019-12-03 22:43:23 UTC

Description Samuel Padgett 2019-11-01 14:41:17 UTC
+++ This bug was initially created as a clone of Bug #1767853 +++

Description of problem:
Web console will not display on MS Edge

--- Additional comment from Steve Goodwin on 2019-11-01 14:32:00 UTC ---

Comment 1 Samuel Padgett 2019-11-04 21:18:57 UTC
This is a problem with the spread operator in kubevirt-web-ui-components. Fix in https://github.com/kubevirt/web-ui-components/pull/572

Comment 2 Marek Libra 2019-11-05 08:06:00 UTC
Patch: https://github.com/openshift/console/pull/3231

Comment 4 Radim Hrazdil 2019-11-27 14:58:04 UTC
Verified using Windows 10 VM and MS Edge that OCP Console and kubevirt-related pages load and are displayed properly

Comment 6 errata-xmlrpc 2019-12-03 22:43:11 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:3953


Note You need to log in before you can comment on or make changes to this bug.